#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_recv_common, 0xb140da1e, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xa7e09f09, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xab62d047, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x652e9222, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xf818140f, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x35cad38e, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xa0155e76, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xab3f0d9b, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xc5e66554, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x2d216b33, "_gpl");
SYMBOL_CRC(l2tp_sk_to_tunnel, 0x02c6e05e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xa0c88db2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xa82852e9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x11980317, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x21df6bf0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x7e7f5853, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x6c9ba7d2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x7676c4fb, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xa9531507, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x1f5d5d69, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x0371e3fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xe1e4c299, "perf_trace_run_bpf_submit" },
	{ 0xfa4f3076, "trace_event_buffer_reserve" },
	{ 0xf1bbde8a, "trace_event_buffer_commit" },
	{ 0x5ddc752d, "__trace_trigger_soft_disabled" },
	{ 0x2bfeb804, "trace_raw_output_prep" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0xc36873bc, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xc2695230, "bpf_trace_run1" },
	{ 0x68a3c088, "bpf_trace_run2" },
	{ 0x60aeca58, "sock_create_kern" },
	{ 0xabe749a, "kernel_bind" },
	{ 0xde5e5a19, "kernel_connect" },
	{ 0xb6071e28, "udp_sock_create6" },
	{ 0xa9e87be6, "kernel_sock_shutdown" },
	{ 0x86eaa286, "sock_release" },
	{ 0xe706ff46, "udp_sock_create4" },
	{ 0xecbaeffc, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x32b6b3a5, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3761d215, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbaf22757, "kvfree_call_rcu" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0xc0ad968, "kmalloc_caches" },
	{ 0xa227ed7d, "kmalloc_trace" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5292df5f, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe798236d, "jiffies" },
	{ 0xae4b8a5e, "kfree_skb_reason" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x476f6578, "skb_dequeue" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x756c7c6, "sockfd_lookup" },
	{ 0x1a922084, "lock_sock_nested" },
	{ 0x94e340e6, "release_sock" },
	{ 0x7cdadd9c, "fput" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x64571c11, "setup_udp_tunnel_sock" },
	{ 0x16971bc8, "skb_queue_tail" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb3a651e, "__pskb_pull_tail" },
	{ 0x3bbba720, "pskb_expand_head" },
	{ 0x63ac1a6a, "udp_set_csum" },
	{ 0xd72c58a8, "ip_queue_xmit" },
	{ 0xc6308f7a, "udp6_set_csum" },
	{ 0x1fe21445, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb52c5bb9, "dst_release" },
	{ 0x338de378, "trace_event_reg" },
	{ 0x39988871, "trace_event_raw_init" },
	{ 0x27473ff7, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DCB1127560878BD49F2688E");
MODULE_INFO(rhelversion, "9.99");
