#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_cache_policy_create, 0xe1bb31c4, "_gpl");
SYMBOL_CRC(dm_cache_policy_destroy, 0xe8c5320d, "_gpl");
SYMBOL_CRC(dm_cache_policy_get_hint_size, 0xe756dac6, "_gpl");
SYMBOL_CRC(dm_cache_policy_get_name, 0xd638ed27, "_gpl");
SYMBOL_CRC(dm_cache_policy_get_version, 0x796a703b, "_gpl");
SYMBOL_CRC(dm_cache_policy_register, 0xda29ce19, "_gpl");
SYMBOL_CRC(dm_cache_policy_unregister, 0x74040af9, "_gpl");
SYMBOL_CRC(btracker_complete, 0xa7eadcb5, "_gpl");
SYMBOL_CRC(btracker_create, 0xbf1a2968, "_gpl");
SYMBOL_CRC(btracker_destroy, 0x5adc2807, "_gpl");
SYMBOL_CRC(btracker_issue, 0xa2365f44, "_gpl");
SYMBOL_CRC(btracker_nr_demotions_queued, 0xccfe6409, "_gpl");
SYMBOL_CRC(btracker_nr_writebacks_queued, 0x5de611a9, "_gpl");
SYMBOL_CRC(btracker_promotion_already_present, 0x0efbca4c, "_gpl");
SYMBOL_CRC(btracker_queue, 0x87bee547, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd993d0a, "bio_associate_blkg" },
	{ 0xba1b0458, "try_module_get" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3d97aaf4, "param_ops_uint" },
	{ 0x24507fbf, "dm_array_cursor_next" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x925f421d, "dm_array_info_init" },
	{ 0x1e3f728d, "dm_block_data" },
	{ 0x93204bbc, "dm_per_bio_data" },
	{ 0x427ac239, "dm_put_device" },
	{ 0xd6e31744, "dm_submit_bio_remap" },
	{ 0x95a52abd, "dm_bm_is_read_only" },
	{ 0xedb1cf66, "dm_block_manager_create" },
	{ 0x6c218062, "dm_bitset_cursor_end" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x7dec65ff, "mempool_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x5475ba9e, "dm_block_location" },
	{ 0xace9b57b, "dm_bio_prison_destroy_v2" },
	{ 0x54f69d, "dm_tm_pre_commit" },
	{ 0xd99e003d, "dm_bio_prison_create_v2" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xb03b4d5d, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x3ad0f55b, "dm_bm_flush" },
	{ 0x92997ed8, "_printk" },
	{ 0xd688716b, "dm_kcopyd_client_create" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xb11cd6c1, "dm_bm_read_lock" },
	{ 0xb3d7482b, "dm_bitset_new" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf5aada6c, "dm_tm_create_with_sm" },
	{ 0xc0d7c2d1, "dm_array_resize" },
	{ 0x6c2c7ef4, "dm_array_cursor_get_value" },
	{ 0x89867686, "dm_bio_prison_alloc_cell_v2" },
	{ 0xb720ee73, "dm_array_cursor_begin" },
	{ 0xe9fcb616, "mempool_alloc" },
	{ 0x91413934, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x69cf652, "submit_bio" },
	{ 0xd48f882f, "module_put" },
	{ 0xa9c4fc6b, "dm_bm_write_lock_zero" },
	{ 0x7e29c59d, "dm_bitset_clear_bit" },
	{ 0x88998224, "dm_disk_bitset_init" },
	{ 0xbae4c48f, "bioset_exit" },
	{ 0x1ba7cc87, "dm_array_new" },
	{ 0x7ade1071, "dm_tm_destroy" },
	{ 0x36ae5540, "bio_endio" },
	{ 0xa2a74861, "dm_array_set_value" },
	{ 0x9e798e22, "dm_bm_set_read_only" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x3a18f6ce, "dm_suspended" },
	{ 0x6f37a30b, "dm_bio_prison_free_cell_v2" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x88a5c035, "dm_bitset_cursor_next" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf5a3c8, "dm_bm_write_lock" },
	{ 0xebf7d02c, "kmem_cache_free" },
	{ 0xfce51d79, "dm_array_empty" },
	{ 0x85abc85f, "strncmp" },
	{ 0x5eb24829, "dm_shift_arg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xfb999a36, "bio_chain" },
	{ 0x852c4eb0, "dm_unregister_target" },
	{ 0x53458020, "dm_cell_put_v2" },
	{ 0x73420d49, "dm_bitset_empty" },
	{ 0x72289260, "dm_block_manager_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd237b9fb, "dm_array_walk" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc0fadb13, "dm_bitset_del" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xf551114d, "dm_bm_checksum" },
	{ 0x4a0ea6, "dm_set_target_max_io_len" },
	{ 0x2f40da68, "dm_bm_set_read_write" },
	{ 0xeee5d8a6, "bio_alloc_clone" },
	{ 0x68217cab, "dm_table_event" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe8438eb5, "dm_array_del" },
	{ 0x2d38ecd9, "dm_bitset_resize" },
	{ 0x9341b376, "dm_bitset_cursor_get_value" },
	{ 0xc7d094b5, "dm_read_arg_group" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x41ae4ee, "dm_cell_lock_v2" },
	{ 0x103bafd6, "down_read" },
	{ 0x5736c9c5, "dm_bitset_flush" },
	{ 0xe798236d, "jiffies" },
	{ 0xd163cade, "dm_tm_commit" },
	{ 0xf327ece0, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa29d4c0c, "dm_bitset_cursor_skip" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9955fef4, "dm_bitset_cursor_begin" },
	{ 0xb14a372c, "dm_kcopyd_copy" },
	{ 0x1559cc44, "dm_table_device_name" },
	{ 0x7f5158a5, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24eea959, "bioset_init" },
	{ 0x4629a278, "dm_cell_get_v2" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0xf972d01b, "dm_cell_quiesce_v2" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x688d422d, "dm_bm_block_size" },
	{ 0xb4a79898, "blk_limits_io_opt" },
	{ 0x11fbbe02, "dm_bitset_set_bit" },
	{ 0xa227ed7d, "kmalloc_trace" },
	{ 0x38a6a28e, "dm_cell_unlock_v2" },
	{ 0x243ce1ad, "dm_array_cursor_end" },
	{ 0x8a9115b0, "dm_get_device" },
	{ 0xcad1a6bb, "dm_cell_lock_promote_v2" },
	{ 0x555ccb97, "up_read" },
	{ 0x48e323be, "dm_bm_unlock" },
	{ 0xa10ec040, "dm_bio_get_target_bio_nr" },
	{ 0x7deff673, "dm_consume_args" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc0ad968, "kmalloc_caches" },
	{ 0x382a0134, "dm_array_get_value" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc89a2470, "kmem_cache_destroy" },
	{ 0xae600b00, "dm_tm_open_with_sm" },
	{ 0x27473ff7, "module_layout" },
};

MODULE_INFO(depends, "dm-persistent-data,dm-mod,dm-bio-prison");


MODULE_INFO(srcversion, "D96ECA40675597A4C721209");
MODULE_INFO(rhelversion, "9.99");
